import { post, upload } from "@/request/axios.js";

export const getUserList = (params) => post("/user/list", params); // 档案管理-一人一档-获取人员列表

export const getUserInfo = (params) => post("/user/goEditUser", params); // 档案管理-一人一档-获取人员详情

export const getTaskListByUser = (params) =>
  post("/studytask/userlist", params); // 档案管理-一人一档-获取任务详情列表

export const getStudyTaskInfo = (params) => post("/studytask/goEdit", params); // 档案管理-一人一档-档案详情-获取任务信息

export const getAllCourseware = (params) =>
  post("/studytask/getAllCourseware", params); // 档案管理-一人一档-档案详情-获取课程列表

export const getArchivesPaper = (params) =>
  post("/studytask/getArchivesPaper", params); // 档案管理-一人一档-档案详情-获取试卷

export const getSignByStudyTask = (params) =>
  post("/studytasksign/getListByStudytaskID", params); // 档案管理-一人一档-档案详情-任务人员的签字信息

export const getUserExamScoreByStudyTaskId = (params) =>
  post("/stageexam/getUserExamScoreByStudystaskId", params); // 档案管理-一人一档-档案详情-???

export const getTaskList = (params) => post("/studytask/list", params); // 档案管理-一期一档-获取任务列表

export const getArchivesFileList = (params) =>
  post("/archivesfiles/list", params); // 档案管理-获取文件列表

export const deleteArchivesFile = (params) =>
  post("/archivesfiles/delete", params); // 档案管理-删除文件

export const uploadArchivesFile = (params) =>
  upload("/archivesfiles/add", params); // 档案管理-上传文件

export const getArchivesCapitalList = (params) =>
  post("/archivescapital/list", params); // 档案管理-一企一档-获取年度培训资金提取和使用情况管理台账列表

export const deleteArchivesCapital = (params) =>
  post("/archivescapital/delete", params); // 档案管理-一企一档-删除年度培训资金提取和使用情况管理台账

export const getArchivesCapital = (params) =>
  post("/archivescapital/goEdit", params); // 档案管理-一企一档-获取年度培训资金提取和使用情况管理台账

export const addArchivesCapital = (params) =>
  post("/archivescapital/add", params); // 档案管理-一企一档-新增年度培训资金提取和使用情况管理台账

export const editArchivesCapital = (params) =>
  post("/archivescapital/edit", params); // 档案管理-一企一档-修改年度培训资金提取和使用情况管理台账

export const getArchivesEdumanagerList = (params) =>
  post("/archivesedumanager/list", params); // 档案管理-一企一档-获取年度安全培训教育管理台账列表

export const deleteArchivesEdumanager = (params) =>
  post("/archivesedumanager/delete", params); // 档案管理-一企一档-删除年度安全培训教育管理台账

export const getArchivesEdumanager = (params) =>
  post("/archivesedumanager/goEdit", params); // 档案管理-一企一档-获取年度安全培训教育管理台账

export const addArchivesEdumanager = (params) =>
  post("/archivesedumanager/add", params); // 档案管理-一企一档-新增年度安全培训教育管理台账

export const editArchivesEdumanager = (params) =>
  post("/archivesedumanager/edit", params); // 档案管理-一企一档-修改年度安全培训教育管理台账

export const getArchivesEduplanList = (params) =>
  post("/archiveseduplan/list", params); // 档案管理-一企一档-获取年度安全培训教育计划列表

export const deleteArchivesEduplan = (params) =>
  post("/archiveseduplan/delete", params); // 档案管理-一企一档-删除年度安全培训教育计划

export const getArchivesEduplan = (params) =>
  post("/archiveseduplan/goEdit", params); // 档案管理-一企一档-获取年度安全培训教育计划

export const addArchivesEduplan = (params) =>
  post("/archiveseduplan/add", params); // 档案管理-一企一档-新增年度安全培训教育计划

export const editArchivesEduplan = (params) =>
  post("/archiveseduplan/edit", params); // 档案管理-一企一档-修改年度安全培训教育计划

export const getArchivesTeacherList = (params) =>
  post("/archivesteacher/list", params); // 档案管理-一企一档-获取年度本单位师资管理台账列表

export const deleteArchivesTeacher = (params) =>
  post("/archivesteacher/delete", params); // 档案管理-一企一档-删除年度本单位师资管理台账

export const getArchivesTeacher = (params) =>
  post("/archivesteacher/goEdit", params); // 档案管理-一企一档-获取年度本单位师资管理台账

export const addArchivesTeacher = (params) =>
  post("/archivesteacher/add", params); // 档案管理-一企一档-新增年度本单位师资管理台账

export const editArchivesTeacher = (params) =>
  post("/archivesteacher/edit", params); // 档案管理-一企一档-修改年度本单位师资管理台账

export const getArchivesPostmanList = (params) =>
  post("/archivespostman/list", params); // 档案管理-一企一档-获取年度三岗人员管理台账列表

export const deleteArchivesPostman = (params) =>
  post("/archivespostman/delete", params); // 档案管理-一企一档-删除年度三岗人员管理台账

export const getArchivesPostman = (params) =>
  post("/archivespostman/goEdit", params); // 档案管理-一企一档-获取年度三岗人员管理台账

export const addArchivesPostman = (params) =>
  post("/archivespostman/add", params); // 档案管理-一企一档-新增年度三岗人员管理台账

export const editArchivesPostman = (params) =>
  post("/archivespostman/edit", params); // 档案管理-一企一档-修改年度三岗人员管理台账

export const getArchivesTrainingScheduleList = (params) =>
  post("/trainingschedule/list", params); // 档案管理-一期一档-获取培训计划列表

export const deleteArchivesTrainingSchedule = (params) =>
  post("/trainingschedule/delete", params); // 档案管理-一期一档-删除培训计划

export const getArchivesTrainingSchedule = (params) =>
  post("/trainingschedule/goEdit", params); // 档案管理-一期一档-获取培训计划

export const addArchivesTrainingSchedule = (params) =>
  post("/trainingschedule/add", params); // 档案管理-一期一档-新增培训计划

export const editArchivesTrainingSchedule = (params) =>
  post("/trainingschedule/edit", params); // 档案管理-一期一档-修改培训计划

export const getAllCoursewareByHandout = (params) =>
  post("/studytask/getAllCoursewareByHandout", params); // 档案管理-一期一档-安全培训教材或课程讲义-获取课件

export const getStudentByTaskId = (params) =>
  post("/stagestudentrelation/listAllByStudyTaskId", params); // 档案管理-一期一档-安全培训教育记录及签字表-获取学生

export const getPaperByTaskId = (params) => post("/studytask/getPaper", params); // 档案管理-一期一档-培训考核试卷-获取试卷

export const getAllCurriculum = (params) =>
  post("/studytask/getAllcurriculum", params); // 档案管理-一期一档-本期综合考评报告-获取课程
